import request from '@/utils/request'

// 查询LineApiGroup列表
export function listLineApiGroup(query) {
  return request({
    url: '/api/v1/line-api-group',
    method: 'get',
    params: query
  })
}

// 查询LineApiGroup详细
export function getLineApiGroup(id) {
  return request({
    url: '/api/v1/line-api-group/' + id,
    method: 'get'
  })
}

// 新增LineApiGroup
export function addLineApiGroup(data) {
  return request({
    url: '/api/v1/line-api-group',
    method: 'post',
    data: data
  })
}

// 修改LineApiGroup
export function updateLineApiGroup(data) {
  return request({
    url: '/api/v1/line-api-group/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineApiGroup
export function delLineApiGroup(data) {
  return request({
    url: '/api/v1/line-api-group',
    method: 'delete',
    data: data
  })
}
export function getUser(data) {
  return request({
    url: '/api/v1/line-api-user/getUser',
    method: 'post',
    data
  })
}
export function userbind(data) {
  return request({
    url: '/api/v1/line-api-user/bind',
    method: 'post',
    data
  })
}

